org.apache.jmeter.report.processor.graph.impl

## Class TotalTPSGraphConsumer

- java.lang.Object
- - org.apache.jmeter.report.processor.AbstractSampleProcessor
  - - org.apache.jmeter.report.processor.AbstractSampleConsumer
    - - org.apache.jmeter.report.processor.graph.AbstractGraphConsumer
      - - org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer
        - - org.apache.jmeter.report.processor.graph.impl.TotalTPSGraphConsumer

- All Implemented Interfaces:
    SampleConsumer, SampleProcessor, SampleProducer

      public class TotalTPSGraphConsumer
      extends AbstractOverTimeGraphConsumer

  The class TotalTPSGraphConsumer provides a graph to visualize transactions rate per second.
  Since:
    5.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer

      `RESULT_CTX_GRANULARITY`

    - ### Fields inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `DEFAULT_AGGREGATED_KEYS_SERIES_FORMAT, DEFAULT_GROUP, DEFAULT_OVERALL_SERIES_FORMAT, RESULT_MAX_X, RESULT_MAX_Y, RESULT_MIN_X, RESULT_MIN_Y, RESULT_SERIES, RESULT_SERIES_DATA, RESULT_SERIES_IS_CONTROLLER, RESULT_SERIES_IS_OVERALL, RESULT_SERIES_NAME, RESULT_SUPPORTS_CONTROLLERS_DISCRIMINATION, RESULT_TITLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TotalTPSGraphConsumer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,GroupInfo>` | `createGroupInfos()`
    `protected TimeStampKeysSelector` | `createTimeStampKeysSelector()` Creates the time stamp keys selector.
    `void` | `initialize()`
    `protected void` | `initializeExtraResults(MapResultData parentResult)` Inherited classes can add properties to the result
    `void` | `setGranularity(long granularity)` Sets the granularity.

    - ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractOverTimeGraphConsumer

      `createKeysSelector, getGranularity`

    - ### Methods inherited from class org.apache.jmeter.report.processor.graph.AbstractGraphConsumer

      `consume, createSerieResult, getAggregatedKeysSeriesFormat, getGroupInfos, getInvertsKeysAndValues, getKeysSelector, getOverallSeriesFormat, getTitle, rendersPercentiles, setAggregatedKeysSeriesFormat, setOverallSeriesFormat, setRenderPercentiles, setRevertKeysAndValues, setTitle, startConsuming, stopConsuming`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleConsumer

      `addSampleConsumer, getConsumedChannelCount, getConsumedMetadata, getConsumer, getDataFromContext, getName, getWorkingDirectory, produce, removeSampleConsumer, setChannelAttribute, setConsumedMetadata, setDataToContext, setName, setProducedMetadata, setSampleConsumer, setSampleConsumers, setSampleContext, startProducing, stopProducing`

    - ### Methods inherited from class org.apache.jmeter.report.processor.AbstractSampleProcessor

      `getChannelAttribute, getSampleContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.report.processor.SampleProcessor

      `getChannelAttribute, getSampleContext`

- - ### Constructor Detail

    - #### TotalTPSGraphConsumer

          public TotalTPSGraphConsumer()

  - ### Method Detail

    - #### createTimeStampKeysSelector

          protected TimeStampKeysSelector createTimeStampKeysSelector()

      Description copied from class: `AbstractOverTimeGraphConsumer`
      Creates the time stamp keys selector.
      Specified by:
        `createTimeStampKeysSelector` in class `AbstractOverTimeGraphConsumer`
      Returns:
        the time stamp keys selector

    - #### createGroupInfos

          protected Map<String,GroupInfo> createGroupInfos()

      Specified by:
        `createGroupInfos` in class `AbstractOverTimeGraphConsumer`

    - #### setGranularity

          public void setGranularity(long granularity)

      Description copied from class: `AbstractOverTimeGraphConsumer`
      Sets the granularity.
      Overrides:
        `setGranularity` in class `AbstractOverTimeGraphConsumer`
      Parameters:
        `granularity` - the granularity to set

    - #### initializeExtraResults

          protected void initializeExtraResults(MapResultData parentResult)

      Description copied from class: `AbstractGraphConsumer`
      Inherited classes can add properties to the result
      Overrides:
        `initializeExtraResults` in class `AbstractOverTimeGraphConsumer`
      Parameters:
        `parentResult` - the parent result

    - #### initialize

          public void initialize()

      Overrides:
        `initialize` in class `AbstractOverTimeGraphConsumer`

Copyright © 1998-2021 Apache Software Foundation. All Rights Reserved.